Package: org.codehaus.groovy.util

## [Java] Class URLStreams

- org.codehaus.groovy.util.URLStreams

-     public class URLStreams
      extends Object

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static InputStream` | `openUncachedStream(URL url)` Opens an InputStream reading from the given URL without caching the stream.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static InputStream openUncachedStream(URL url)

      Opens an InputStream reading from the given URL without caching the stream. This prevents file descriptor leaks when reading from file system URLs.

      Parameters:
        `url` - the URL to connect to
      Returns:
        an input stream reading from the URL connection